Subject: Re: [PATCH v4] perf: bpf: Fix build breakage due to libbpf

From: "Wangnan (F)" <[email-masked]>
Date: Fri, 8 Jan 2016 21:31:46 +0800

On 2016/1/8 20:51, Arnaldo Carvalho de Melo wrote:
> Em Fri, Jan 08, 2016 at 11:09:35AM +0530, Naveen N. Rao escreveu:
>> On 2016/01/07 05:39PM, Arnaldo Carvalho de Melo wrote:
>>> Em Thu, Jan 07, 2016 at 12:28:15PM +0530, Naveen N. Rao escreveu:
>>>> On 2015/12/17 09:19AM, Arnaldo Carvalho de Melo wrote:
>>>>> Em Thu, Dec 17, 2015 at 10:37:14AM +0530, Naveen N. Rao escreveu:
>>>>>> On 2015/12/17 09:29AM, Wang Nan wrote:
>>>>>>> The whole thread is:
>>>>>>>
>>>>>>> [PATCH v3 0/3] perf build: PowerPC: Fix build breakage due to libbpf:
>>>>>>> http://lkml.kernel.org/g/[email-masked]
>>>>>>>
>>>>>>> [PATCH v3 1/3] perf tools: Fix PowerPC native building
>>>>>>> http://lkml.kernel.org/g/[email-masked]
>>>>>>>
>>>>>>> [PATCH v3 2/3] tools: Move Makefile.arch from perf/config to tools/scripts
>>>>>>> http://lkml.kernel.org/g/[email-masked]
>>>>>>>
>>>>>>> [PATCH v3 3/3] perf: bpf: Fix build breakage due to libbpf
>>>>>>> http://lkml.kernel.org/g/[email-masked]
>>>>>>>
>>>>>>> and [PATCH v3 3/3] breaks local building because the usage of "srctree", and
>>>>> 	     ^^
>>>>>> You mean v4 here.
>>>>>> Anyway, now that you've sent v4, it should be much clearer.
>>>>> Right, I should've read it more thoroughly, but anyway, I'll process it
>>>>> today.
>>>> Bump.
>>>>
>>>> Arnaldo,
>>>> Can you please push at least the initial 3 patches of this for v4.4?
>>>> Wang Nan has posted v6 here:
>>>> http://thread.gmane.org/gmane.linux.kernel/2110626
>>> So I tried it again today, from the v6, the latest patch with that
>>> subject line in my inbox, and I get this, after applying the first three
>>> patches:
>>>
>>> [acme@zoo linux]$ make -C tools clean > /dev/null
>>> [acme@zoo linux]$ make -C tools/perf build-test
>> Thanks, and sorry for the slip-up there - I should've caught that.
> The important thing is that it gets caught before getting to Ingo, let
> alone Linus, but if you get it before me, I'd appreciate as well 8-)
>
> - Arnaldo

Is it possible to ask Fengguang Wu to help us adding perf building test
in his kbuild testing system?

Add Fengguang Wu into cc list.

Thank you.